# struct Info |
Full name | `KWin::Info`
Definition | `#include <kwin.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- bool isIconified () const
- QString visibleNameWithState () const

#### Public Members

- WId win
- long unsigned int state
- NET::MappingState mappingState
- NETStrut strut
- NET::WindowType windowType
- QString visibleName
- QString name
- int desktop
- bool onAllDesktops
- pid_t pid
- QRect geometry
- QRect frameGeometry

## Detailed Description

WId win | ### win

long unsigned int state | ### state

NET::MappingState mappingState | ### mappingState

NETStrut strut | ### strut

NET::WindowType windowType | ### windowType

QString visibleName | ### visibleName

QString name | ### name

int desktop | ### desktop

bool onAllDesktops | ### onAllDesktops

pid_t pid | ### pid

bool isIconified () | ### isIconified

[const]

QRect geometry | ### geometry

QRect frameGeometry | ### frameGeometry

QString visibleNameWithState () | ### visibleNameWithState

[const]

Returns a visible name with state.

This is a simple convenience function that returns the visible name but with parantheses around iconified windows

Generated by: root@i386.ports.openbsd.org on Wed Apr 25 13:58:13 2001, using kdoc 2.0a53.